Skip to main content

Official Support Articles

Search or browse our knowledge base to find answers to your questions ranging from account questions to troubleshooting error messages. The content is curated and updated by our global Support team

Announcements
CUSTOMERS ONLY: Now accepting customer applications for the 2023 Luminary Program: SUBMIT NOW

Supported TLS and SSL Protocols and Ciphers

cancel
Showing results for 
Search instead for 
Did you mean: 
Sonja_Bauernfeind
Digital Support
Digital Support

Supported TLS and SSL Protocols and Ciphers

All Qlik products are developed upon the security knowledge what was available to the of developing. As such, various TLS / SSL versions are supported on different version numbers in our products. A list for QlikView and Qlik Sense can be found below. 

NPrinting lists supported ciphers on its help pages for the respective versions. A link is provided below.
 
Note that enabling or disabling the correct protocols and ciphers has to be done on operating system level as our Qlik products rely on platform security. This can be done through registry edits or by using other third-party tools available to modify or view them with a graphical user interface.

QlikView and Qlik Sense in specific do not require any specific configuration to be done in the product. Qlik NPritning allows for some configuration, but Qlik NPrinting does not set a specific secure cipher suite as mandatory, in order to guarantee compatibility with different operating systems and platforms.

IIS Crypto is an example 3rd party tool that can be used to achieve this. IIS Crypto is not supported by Qlik, but by its respective vendor, NARTAC Software. To obtain IIS Crypto, visit https://www.nartac.com/Products/IISCrypto

 

Supported TLS versions

 

Qlik Sense:

  • full Support for TLS 1.2 from version June 2017 
  • TLS 1.3/2.0 are not yet fully supported

Note: Certain internal only micro-services will still listen using TLS 1.0 / 1.1 in versions of Qlik Sense prior to Qlik Sense April 2018.

  • Reference Defect: QLIK-85492  / Node.exe still listening to TLS1.0/1.1 or SSL even after disable them in Windows. This is resolved in Qlik Sense April 2018 (12.16.2), under a scan it would previously appear that TLS 1.0/1.1 is still using port 9090
    Further Reading: Qlik Sense Ports not honoring TLS version prior to April 2018

 

QlikView:

  • Support for TLS 1.2 in is included in all versions post QlikView 11.20 SR 16
  • TLS 1.3/2.0 are not yet fully supported


The following table shows QlikView support for SSL and TLS.

 

 

SSL v3.0

TLS v1.0

TLS v1.1

TLS v1.2

QlikView 12.10 up to current version

x

x

x

x

QlikView 11.20 SR16

x

x

x

x

QlikView 12.00 SR1 and later

x

x

x

x

QlikView 12.00 

x

x

 

 

QlikView 11.20 SR12

x

x

 

 

 

 

NPrinting

 

 

 

Qlik Sense older and unsupported versions:

 

  • Qlik Sense 2.0.x and 2.1 and earlier only support TLS 1.0
  • Qlik Sense 2.2 and Qlik Sense 2.0.7 will get support for TLS 1.2
  • Qlik Sense 3.x, TLS 1.2 will be supported completely.


 
 

Version history
Last update:
‎2021-04-20 05:49 PM
Updated by: